Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.pas.domain.solver
Class BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight

    java.lang.Object
      org.drools.planner.examples.pas.domain.solver.BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight

All Implemented Interfaces:
  Comparable<BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight>

Enclosing class:
  BedDesignationDifficultyWeightFactory

    public static class BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight

extends Object
implements Comparable<BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight>

Constructor Summary
`BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight(BedDesignation bedDesignation, int disallowedCount)`

Method Summary
`int` | `compareTo(BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight other)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight

    public BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight(BedDesignation bedDesignation,
                                                                                int disallowedCount)

Method Detail

### compareTo

    public int compareTo(BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight other)

  Specified by:
    `compareTo` in interface `Comparable<BedDesignationDifficultyWeightFactory.BedDesignationDifficultyWeight>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.